﻿@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "Thống kê vùng dịch";
    Layout = "~/Views/Shared/_Layout.cshtml";

    var lsDonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
    var lsBoPhan = ViewData["BoPhan"] as List<DonViChiTiet_BoPhan>;
}
<style>
    #pie {
        height: 440px;
    }

        #pie * {
            margin: 0 auto;
        }
</style>
<div class="container" style="background-color:white;">
    <div class="row p-2">
        <h4 style="color:red;text-align:center;width: 100%; text-transform: uppercase; font-weight: bold;">Thống kê vùng dịch cập nhật đến 08h00 ngày @DateTime.Today.ToString("dd/MM/yyyy")</h4>
    </div>

    <div class="row">
        <div class="col-xl-2 col-sm-12 col-12 mb-2">
            
        </div>
        <div class="col-xl-4 col-sm-12 col-12 mb-4 ">
            <label for="DonViChiTiet">Đơn vị:</label>
            @*<select class="form-control form-control-sm" name="DonViChiTiet" id="DonViChiTiet">
                <option value="All"> Tất cả</option>
                @foreach (var std in lsDonVi)
                {
                    <option value="@std.TenDonVi">@std.TenDonVi</option>
                }
            </select>*@
            <div class="">
                <div id="gridBox" class="form-control form-control-sm"></div>
            </div>

        </div>
        <div class="col-xl-4 col-sm-12 col-12 mb-4">
            <label for="BoPhan">Bộ phận:</label>
            <select class="form-control form-control-sm" name="BoPhan" id="BoPhan">
                <option value="All"> Tất cả</option>
            </select>
        </div>
        <div class="col-xl-2 col-sm-12 col-12 mb-2"></div>
    </div>
    <div class="row text-center">
        <div class="col-xl-6 col-sm-12 col-12 pb-5">
            <div id="pie" style="margin:0 auto"></div>
        </div>
        <div class="col-xl-6 col-sm-12 col-12">
            <div id="chart-percent" style="margin:0 auto;font-size:15px;text-align:left;"></div>
        </div>
    </div>
    <div class="row text-center pt-5 pb-5 pl-1 pr-1">
        <h4>Danh sách chi tiết</h4>
        <div id="gridContainer" style="    width: 100%;"></div>
    </div>
</div>

